Loading...
Searching...
No Matches
BALL::VIEW::ColoringSettingsDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/coloringSettingsDialog.h>`

Inheritance diagram for BALL::VIEW::ColoringSettingsDialog:

## Public Member Functions

| ColoringSettingsDialog (QWidget *parent=0, const char *name="ColoringSettings", Qt::WindowFlags fl=0)
| Constructor.
virtual | ~ColoringSettingsDialog ()
| Destructor.
virtual void | applySettingsTo (ColorProcessor &cp) const
virtual ColorProcessor * | createColorProcessor (ColoringMethod method) const
virtual void | getSettings (const ColorProcessor &cp)
virtual QWidget * | getEntryFor (ColoringMethod method)
virtual vector< ColorRGBA > | getColors (ColoringMethod method) const
virtual void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
virtual void | readPreferenceEntries (INIFile &inifile)
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
virtual void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Protected Slots

virtual void | maxDistanceChanged ()
virtual void | maxTFChanged ()
virtual void | forceMaxValueChanged ()
virtual void | forceMinValueChanged ()

## Protected Member Functions

virtual void | setDefaultValues_ ()
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)

## Additional Inherited Members

Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Detailed Description

Dialog for the molecular model coloring settings. It is inserted to the Preferences.

Definition at line 41 of file coloringSettingsDialog.h.

## Constructor & Destructor Documentation

## ColoringSettingsDialog()

BALL::VIEW::ColoringSettingsDialog::ColoringSettingsDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "ColoringSettings",
|  | Qt::WindowFlags | fl = 0 )

Constructor.

## ~ColoringSettingsDialog()

virtual BALL::VIEW::ColoringSettingsDialog::~ColoringSettingsDialog | ( |  | ) |

inline virtual

Destructor.

Definition at line 54 of file coloringSettingsDialog.h.

## Member Function Documentation

## applySettingsTo()

virtual void BALL::VIEW::ColoringSettingsDialog::applySettingsTo | ( | ColorProcessor & | cp | ) | const

virtual

## createColorProcessor()

virtual ColorProcessor * BALL::VIEW::ColoringSettingsDialog::createColorProcessor | ( | ColoringMethod | method | ) | const

virtual

Exceptions

  BALL::Exception::InvalidOption |

## forceMaxValueChanged

virtual void BALL::VIEW::ColoringSettingsDialog::forceMaxValueChanged | ( |  | ) |

protected virtual slot

## forceMinValueChanged

virtual void BALL::VIEW::ColoringSettingsDialog::forceMinValueChanged | ( |  | ) |

protected virtual slot

## getColors()

virtual vector< ColorRGBA > BALL::VIEW::ColoringSettingsDialog::getColors | ( | ColoringMethod | method | ) | const

virtual

## getEntryFor()

virtual QWidget * BALL::VIEW::ColoringSettingsDialog::getEntryFor | ( | ColoringMethod | method | ) |

virtual

## getSettings()

virtual void BALL::VIEW::ColoringSettingsDialog::getSettings | ( | const ColorProcessor & | cp | ) |

virtual

## maxDistanceChanged

virtual void BALL::VIEW::ColoringSettingsDialog::maxDistanceChanged | ( |  | ) |

protected virtual slot

## maxTFChanged

virtual void BALL::VIEW::ColoringSettingsDialog::maxTFChanged | ( |  | ) |

protected virtual slot

## readPreferenceEntries()

virtual void BALL::VIEW::ColoringSettingsDialog::readPreferenceEntries | ( | INIFile & | inifile | ) |

virtual

## setDefaultValues_()

virtual void BALL::VIEW::ColoringSettingsDialog::setDefaultValues_ | ( |  | ) |

protected virtual

## writePreferenceEntries()

virtual void BALL::VIEW::ColoringSettingsDialog::writePreferenceEntries | ( | INIFile & | inifile | ) |

virtual

Store the settings of all registered objects.

Reimplemented from BALL::VIEW::PreferencesEntry.